# Get Path

Find out the full path to a file/directory.

<table data-header-hidden><thead><tr><th width="247" valign="top"></th><th width="302" valign="top"></th></tr></thead><tbody><tr><td valign="top">Folder Path</td><td valign="top">[Text] The path to the folder where the required file is located. If this property is left empty, the folder where the project is located will be used. If a folder is specified, it will be concatenated with the file name.</td></tr><tr><td valign="top">File Name</td><td valign="top">[Name] The name of the file.</td></tr><tr><td valign="top">Generate Name</td><td valign="top"><p>If enabled and no file name is specified, a random file name will be generated, including the extension.</p><p>To obtain the full path to the directory, disable this property and leave the file name empty.</p></td></tr><tr><td valign="top">Auto-increment</td><td valign="top">If a file exists at the specified path, an index with a prefix will be added to its name. For example, if the file "file.dat" exists, the name will be generated as follows: "file_1.dat", "file_2.dat", "file_3.dat", and so on.</td></tr><tr><td valign="top">Invalid Character Filter</td><td valign="top">When enabled, the file name will be filtered for invalid characters. Characters will be replaced with the character <code>'_'</code>.</td></tr><tr><td valign="top">Result</td><td valign="top">[Text] Returns the full path to the specified file.</td></tr><tr><td valign="top">Error Handling Level</td><td valign="top"><p>Select the error handling level. Possible values:</p><ul><li>"Default" - by default;</li><li>"Ignore" - errors are ignored;</li><li>"Handle" - errors are handled.</li></ul><p>If "Default" is selected, the value from the "Start" block of this diagram will be used.</p></td></tr><tr><td valign="top">Message Level</td><td valign="top"><p>Select the message level that blocks will output during operation. Possible values:</p><ul><li>"Default" - by default;</li><li>"Release" - output is disabled;</li><li>"Debug" - outputs main information;</li><li>"Detailed" - outputs detailed information.</li></ul><p>If "Default" is selected, the value from the "Start" block of this diagram will be used.</p></td></tr><tr><td valign="top">Error Text</td><td valign="top">[Text] Returns detailed information about the error in case of incorrect execution of the block's work.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-designer/spravochnik-blokov/failovaya-sistema-file-system/poluchit-put-getpathfilename.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
